Bug 173524 - [UPDATE] x11-toolkits/irrlicht to v1.8
Summary: [UPDATE] x11-toolkits/irrlicht to v1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-10 09:40 UTC by hardy.schumacher
Modified: 2013-10-01 21:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.02 KB, patch)
2012-11-10 09:40 UTC, hardy.schumacher
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hardy.schumacher 2012-11-10 09:40:03 UTC
Update of x11-toolkits/irrlicht is available.

Fix: Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2012-11-10 09:40:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-10-01 20:57:55 UTC
Author: acm
Date: Tue Oct  1 19:57:41 2013
New Revision: 328987
URL: http://svnweb.freebsd.org/changeset/ports/328987

Log:
  - Update to 1.8
  
  PR:		ports/173524
  Submitted by:	Hardy Schumacher <hardy.schumacher_  at  _gmx.de>

Deleted:
  head/x11-toolkits/irrlicht/files/patch-source-Irrlicht_CImageLoaderPNG.cpp
  head/x11-toolkits/irrlicht/files/patch-source-Irrlicht_CImageWriterPNG.cpp
Modified:
  head/x11-toolkits/irrlicht/Makefile
  head/x11-toolkits/irrlicht/distinfo
  head/x11-toolkits/irrlicht/files/patch-source-Irrlicht_Makefile
  head/x11-toolkits/irrlicht/pkg-plist

Modified: head/x11-toolkits/irrlicht/Makefile
==============================================================================
--- head/x11-toolkits/irrlicht/Makefile	Tue Oct  1 19:35:00 2013	(r328986)
+++ head/x11-toolkits/irrlicht/Makefile	Tue Oct  1 19:57:41 2013	(r328987)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	irrlicht
-PORTVERSION=	1.7.3
-PORTREVISION=	1
+PORTVERSION=	1.8
 CATEGORIES=	x11-toolkits graphics
 MASTER_SITES=	SF/${PORTNAME}/Irrlicht%20SDK/1.7/${PORTVERSION}
 
@@ -61,7 +60,7 @@ MAKE_ENV+=	NDEBUG=1
 .endif
 
 post-extract:
-	@${RM} ${WRKSRC}/media/Thumbs.db
+#	@${RM} ${WRKSRC}/media/Thumbs.db
 
 post-patch:
 	@${REINPLACE_CMD} -e '/#define.*_IRR_USE_NON_SYSTEM_JPEG_LIB_/ d' \

Modified: head/x11-toolkits/irrlicht/distinfo
==============================================================================
--- head/x11-toolkits/irrlicht/distinfo	Tue Oct  1 19:35:00 2013	(r328986)
+++ head/x11-toolkits/irrlicht/distinfo	Tue Oct  1 19:57:41 2013	(r328987)
@@ -1,2 +1,2 @@
-SHA256 (irrlicht-1.7.3.zip) = 7230c1210a169944f815a79a975fabf2c0db0d3181dd62345b9fac9095ae026d
-SIZE (irrlicht-1.7.3.zip) = 16344294
+SHA256 (irrlicht-1.8.zip) = f8756c3cf83f16f41eb1eca8f4ebb530f0e8fd572443905e3d8eb8f09445a642
+SIZE (irrlicht-1.8.zip) = 23674513

Modified: head/x11-toolkits/irrlicht/files/patch-source-Irrlicht_Makefile
==============================================================================
--- head/x11-toolkits/irrlicht/files/patch-source-Irrlicht_Makefile	Tue Oct  1 19:35:00 2013	(r328986)
+++ head/x11-toolkits/irrlicht/files/patch-source-Irrlicht_Makefile	Tue Oct  1 19:57:41 2013	(r328987)
@@ -1,29 +1,21 @@
---- source/Irrlicht/Makefile	2012-03-31 12:50:11.000000000 -0500
-+++ source/Irrlicht/Makefile	2012-03-31 12:57:27.000000000 -0500
-@@ -3,14 +3,14 @@
- VERSION_RELEASE = 3
- VERSION = $(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_RELEASE)
- # Irrlicht Engine 1.7.3
+--- source/Irrlicht/Makefile	2013-10-01 14:38:36.000000000 -0500
++++ source/Irrlicht/Makefile	2013-10-01 14:45:15.000000000 -0500
+@@ -2,7 +2,7 @@
+ VERSION_MINOR = 8
+ VERSION_RELEASE = 0
+ # Irrlicht Engine 1.8.0
 -# Makefile for Linux
-+# Makefile for Linux/BSD
++# Makefile for Linux/FreeBSD
  #
  # To use, just run:
  #
- # make
- #
- # This will compile Irrlicht, create a static lib (libIrrlicht.a), and copy it
--# into the subdirectory lib/Linux. That's all.
-+# into the subdirectory lib/[Linux|FreeBSD]. That's all.
- #
- # If you want Irrlicht to be compiled as shared lib (libIrrlicht.so.versionnumber), then run:
- #
-@@ -49,23 +49,20 @@
+@@ -56,23 +56,22 @@
  EXTRAOBJ =
  LINKOBJ = $(IRRMESHOBJ) $(IRROBJ) $(IRRPARTICLEOBJ) $(IRRANIMOBJ) \
  	$(IRRVIDEOOBJ) $(IRRSWRENDEROBJ) $(IRRIOOBJ) $(IRROTHEROBJ) \
 -	$(IRRGUIOBJ) $(ZLIBOBJ) $(JPEGLIBOBJ) $(LIBPNGOBJ) $(LIBAESGM) \
--	$(BZIP2OBJ) $(EXTRAOBJ)
-+	$(IRRGUIOBJ) $(LIBAESGM) $(EXTRAOBJ)
++	$(IRRGUIOBJ) $(LIBAESGM) \
+ 	$(BZIP2OBJ) $(EXTRAOBJ)
  
  ###############
  #Compiler flags
@@ -35,6 +27,7 @@
  CXXFLAGS += -g -D_DEBUG
  else
 -CXXFLAGS += -fexpensive-optimizations -O3
++CXXFLAGS += 
  endif
  ifdef PROFILE
  CXXFLAGS += -pg
@@ -43,20 +36,17 @@
  
  sharedlib sharedlib_osx: CXXFLAGS += -fPIC
  sharedlib sharedlib_osx: CFLAGS += -fPIC
-@@ -75,15 +72,15 @@
- LIBSELECT=64
+@@ -83,13 +82,13 @@
  endif
  
--#Linux specific options
+ #Linux specific options
 -staticlib sharedlib install: SYSTEM = Linux
-+#Linux/FreeBSD specific options
 +staticlib sharedlib install: SYSTEM = FreeBSD
  STATIC_LIB = libIrrlicht.a
  LIB_PATH = ../../lib/$(SYSTEM)
 -INSTALL_DIR = /usr/local/lib
 +INSTALL_DIR = ${PREFIX}/lib
  sharedlib install: SHARED_LIB = libIrrlicht.so
- #staticlib sharedlib: LDFLAGS += --no-export-all-symbols --add-stdcall-alias
 -sharedlib: LDFLAGS += -L/usr/X11R6/lib$(LIBSELECT) -lGL -lXxf86vm
 -staticlib sharedlib: CXXINCS += -I/usr/X11R6/include
 +sharedlib: LDFLAGS += -L${LOCALBASE}/lib -lGL -lXxf86vm -lpng -ljpeg -lbz2
@@ -64,7 +54,7 @@
  
  #OSX specific options
  staticlib_osx sharedlib_osx install_osx: SYSTEM = MacOSX
-@@ -104,13 +101,13 @@
+@@ -117,13 +116,13 @@
  
  ####################
  # All target, builds Irrlicht as static lib (libIrrlicht.a) and copies it into lib/Linux
@@ -73,10 +63,10 @@
  
  # Builds Irrlicht as shared lib (libIrrlicht.so.versionNumber) and copies it into lib/Linux
  sharedlib: $(LINKOBJ)
--	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -shared -Wl,-soname,$(SHARED_LIB).$(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_RELEASE) -o $(SHARED_LIB).$(VERSION) $^ $(LDFLAGS)
+-	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -shared -Wl,-soname,$(SONAME) -o $(SHARED_FULLNAME) $^ $(LDFLAGS)
 +	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -shared -Wl,-soname,$(SHARED_LIB).$(SHLIB_VER) -o $(SHARED_LIB).$(SHLIB_VER) $^ $(LDFLAGS)
  	mkdir -p $(LIB_PATH)
--	cp $(SHARED_LIB).$(VERSION) $(LIB_PATH)
+-	cp $(SHARED_FULLNAME) $(LIB_PATH)
 +	cp $(SHARED_LIB).$(SHLIB_VER) $(LIB_PATH)
  
  # Builds Irrlicht as static lib (libIrrlicht.a)

Modified: head/x11-toolkits/irrlicht/pkg-plist
==============================================================================
--- head/x11-toolkits/irrlicht/pkg-plist	Tue Oct  1 19:35:00 2013	(r328986)
+++ head/x11-toolkits/irrlicht/pkg-plist	Tue Oct  1 19:57:41 2013	(r328987)
@@ -30,6 +30,7 @@ include/irrlicht/IBillboardSceneNode.h
 include/irrlicht/IBillboardTextSceneNode.h
 include/irrlicht/IBoneSceneNode.h
 include/irrlicht/ICameraSceneNode.h
+include/irrlicht/IColladaMeshWriter.h
 include/irrlicht/ICursorControl.h
 include/irrlicht/IDummyTransformationSceneNode.h
 include/irrlicht/IDynamicMeshBuffer.h
@@ -99,9 +100,11 @@ include/irrlicht/IParticleSphereEmitter.
 include/irrlicht/IParticleSystemSceneNode.h
 include/irrlicht/IQ3LevelMesh.h
 include/irrlicht/IQ3Shader.h
+include/irrlicht/IRandomizer.h
 include/irrlicht/IReadFile.h
 include/irrlicht/IReferenceCounted.h
 include/irrlicht/ISceneCollisionManager.h
+include/irrlicht/ISceneLoader.h
 include/irrlicht/ISceneManager.h
 include/irrlicht/ISceneNode.h
 include/irrlicht/ISceneNodeAnimator.h
@@ -164,6 +167,8 @@ include/irrlicht/irrString.h
 include/irrlicht/irrTypes.h
 include/irrlicht/irrXML.h
 include/irrlicht/irrlicht.h
+include/irrlicht/irrpack.h
+include/irrlicht/irrunpack.h
 include/irrlicht/line2d.h
 include/irrlicht/line3d.h
 include/irrlicht/matrix4.h
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2013-10-01 20:57:58 UTC
State Changed
From-To: open->closed

Committed with few modifications, thanks!!